/*
 * event_sys.c
 *
 * Created: 19/07/2023 12:15:54
 *  Author: Simon
 */ 

#include "samc21.h"

uint16_t event_channels_in_use ;


uint8_t allocate_event_channel()
{
	static uint8_t i = 0 ;
	
	while (event_channels_in_use & (0x1 << i))
	{
		i++ ;
	}
	
	event_channels_in_use |= 0x1 << i ;
	
	if (i > 11U)
	{
		while (1)
		{
			; // event channels exceeded
		}
	}
	else
	return i ;
}