/*
 * rtc.h
 *
 * Created: 16/06/2023 10:49:24
 *  Author: Simon
 */ 


#ifndef RTC_H_
#define RTC_H_



// Time periods up to 32ms are 2.34% faster than function name suggests
// Time periods from 100ms are as accurate as the RTC clock crystal

extern uint32_t sys_time_ret(void) ;

extern uint8_t rtc_return_250us_tick(void) ;

extern uint8_t rtc_return_500us_tick(void) ;

extern uint8_t rtc_return_1ms_tick(void) ;

extern uint8_t rtc_return_2ms_tick(void) ;

extern uint8_t rtc_return_4ms_tick(void) ;

extern uint8_t rtc_return_8ms_tick(void) ;

extern uint8_t rtc_return_16ms_tick(void) ;

extern uint8_t rtc_return_32ms_tick(void) ;

extern uint8_t systick_return_100ms_tick(void) ;

extern uint8_t rtc_return_250ms_tick(void) ;

extern uint8_t rtc_return_500ms_tick(void) ;

extern uint8_t rtc_return_1s_tick(void) ;

extern void rtc_setup_enable(void);

extern void systick_setup_enable(void) ;



#endif /* RTC_H_ */