/*
 * port_control.h
 *
 * Created: 16/06/2023 09:21:46
 *  Author: Simon
 */ 


#ifndef PORT_CONTROL_H_
#define PORT_CONTROL_H_

#include <samc21.h>
#include "port_defs.h"

#define output 1
#define input  0
#define OUTPUT 1
#define INPUT  0

extern void pin_mode(pin_t pin, port_pin_functions_t mux_selection) ;

extern void pin_set(uint8_t pin) ;

extern void pin_clear(uint8_t pin) ;

extern void pin_toggle(uint8_t pin) ;

extern void pin_pullup(uint8_t pin) ;

extern void pin_pulldown(uint8_t pin) ;

extern uint32_t pinRead(uint8_t pin) ;

extern void allocate_port_pin(uint8_t port_pin) ;

//extern void pin_function(uint8_t pin_number,  uint8_t function) ;







#endif /* PORT_CONTROL_H_ */